Subject: Re: bug#8044: Automake should support autotest-based testsuites.

From: Jack Kelly <[email-masked]>
Date: Wed, 16 Feb 2011 05:32:19 +1100

On Wed, Feb 16, 2011 at 4:39 AM, Stefano Lattarini
<[email-masked]> wrote:
> The steps required to set up an autotest-based testsuite are already
> excellently described in the autoconf manual:
>  <http://www.gnu.org/software/autoconf/manual/html_node/Making-testsuite-Scripts.html>
> and seem pretty mechanical, so it shouldn't be too much difficult to
> teach automake how to reproduce them.
>
> Do you think that would be worthwhile?  If yes, I might attempt an
> implementation (taking as references/inspiration the autoconf manual
> and autoconf's own tests/Makefile.am).  I must warn you that that will
> probably take me some time, tough.

It sounds useful for some (probably not me, though), but I'd be wary
of the big warning at the start of the autotest section:

>> N.B.: This section describes a feature which is still
>> stabilizing.  Although we believe that Autotest is useful as-is, this
>> documentation describes an interface which might change in the future:
>> do not depend upon Autotest without subscribing to the Autoconf mailing
>> lists.

-- Jack